Summary:        GTK wrapper for X Neural Switcher
Name:           gxneur
Version:        0.20.0
Release:        1%{?dist}.inferit.1

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://www.xneur.ru

Source:         %{name}_%version.orig.tar.gz
Patch1:         01-gconf.patch
Patch2:         02-gconf.patch
Patch3:         03-glib-deprecated.patch
Patch4:         04-no-werror.patch

BuildRequires:  GConf2-devel
BuildRequires:  gtk2-devel
BuildRequires:  xneur-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pcre-devel
BuildRequires:  aspell-devel
BuildRequires:  glade-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  gettext-devel
BuildRequires:  enchant-devel

Requires: xneur >= %version

%description
Xneur is program like Punto Switcher, but has other
functionality and features for configuring.


%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1


%build
autoreconf -fvi
%configure
%make_build


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
sed -i 's/unity-control-center/gnome-control-center/g' %{buildroot}%{_datadir}/glib-2.0/schemas/com.gxneur.settings.gschema.xml


%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/glib-2.0/schemas/com.gxneur.settings.gschema.xml


%changelog
* Wed Jul 26 2023 Sergey Cherevko <s.cherevko@msvsphere.ru> - 0.20.0-1.inferit.1
- Fixed the launch of the keyboard system settings
- Adapted spec for MSVSphere
- Rebuilt for MSVSphere 9.2

* Tue Jun 09 2020 Andrey Cherepanov <cas@altlinux.org> 0.20.0-alt2
- Fix build by Debian patches.
- Fix License tag according to SPDX.

* Mon May 29 2017 Fr. Br. George <george@altlinux.ru> 0.20.0-alt1
- Autobuild version bump to 0.20.0

* Thu Nov 17 2016 Fr. Br. George <george@altlinux.ru> 0.19.0-alt1
- Autobuild version bump to 0.19.0

* Mon Nov 09 2015 Michael Shigorin <mike@altlinux.org> 0.17.0-alt4
- Changed to 24x24 flag icons for MATE (these fit better)

* Mon Nov 09 2015 Michael Shigorin <mike@altlinux.org> 0.17.0-alt3
- Added icon-flags subpackage

* Sun Mar 08 2015 Michael Shigorin <mike@altlinux.org> 0.17.0-alt2
- NMU: fix desktop file

* Mon Oct 28 2013 Fr. Br. George <george@altlinux.ru> 0.17.0-alt1
- Autobuild version bump to 0.17.0

* Tue Nov 13 2012 Fr. Br. George <george@altlinux.ru> 0.16.0-alt1
- Autobuild version bump to 0.16.0
- Drop patches actualized by upstream

* Tue Aug 28 2012 Repocop Q. A. Robot <repocop@altlinux.org> 0.15.0-alt1.1.qa1
- NMU (by repocop). See http://www.altlinux.org/Tools/Repocop
- applied repocop fixes:
  * freedesktop-desktop-file-proposed-patch for gxneur

* Thu Apr 05 2012 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.15.0-alt1.1
- Fixed build with new libX11

* Tue Jan 10 2012 Fr. Br. George <george@altlinux.ru> 0.15.0-alt1
- Autobuild version bump to 0.15.0

* Tue Jun 28 2011 Fr. Br. George <george@altlinux.ru> 0.13.0-alt1
- Autobuild version bump to 0.13.0

* Wed Feb  2 2011 Arkady L. Shane <ashejn@yandex-team.ru> 0.12.0-1
- update to 0.12.0

* Sun Nov 28 2010 Arkady L. Shane <ashejn@yandex-team.ru> 0.11.1-1
- update to 0.11.1

* Sat Oct  6 2010 Arkady L. Shane <ashejn@yandex-team.ru> 0.10.0-1
- update to 0.10.0

* Fri May 21 2010 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.9-1
- update to 0.9.9

* Sun Mar 21 2010 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.8-1
- update to 0.9.8

* Thu Oct 15 2009 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.7-1
- update to 0.9.7

* Wed Sep 16 2009 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.6-1
- update to 0.9.6

* Wed Aug  5 2009 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.5-1
- update to 0.9.5

* Wed Apr 21 2009 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.4-1
- 0.9.4

* Fri Apr 17 2009 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.4-0.1.20090414svn345
- last snapshot

* Fri Jan  9 2009 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.3-1
- update to 0.9.3

* Mon Nov 10 2008 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.2-1
- update to 0.9.2

* Fri Jul 25 2008 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.1-1
- 0.9.1

* Tue Jun 24 2008 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.0-1
- 0.9.0

* Fri Oct 12 2007 Arkady L. Shane <ashejn@yandex-team.ru> 0.8.0-1
- 0.8.0
- add BR aspell-devel

* Tue Jul 17 2007 Arkady L. Shane <ashejn@yandex-team.ru> 0.6.2-1
- 0.6.2

* Fri May 18 2007 Arkady L. Shane <ashejn@yandex-team.ru> 0.6.1-1
- 0.6.1

* Mon Apr 23 2007 Arkady L. Shane <ashejn@yandex-team.ru> 0.6-1
- 0.6.0

* Sat Mar 10 2007 Arkady L. Shane <ashejn@yandex-team.ru> 0.5-1
- 0.5.0

* Tue Jan 23 2007 Arkady L. Shane <ashejn@yandex-team.ru> 0.4.0-1
- rebuild for FC6
- cleanup spec

* Fri Jan 5 2007 Nik <niktr@mail.ru>
- adopted spec from ALT for FC6
- updated to svn version dated 03012007
- minor changes in spec and desktop files

* Thu Dec 21 2006 Vitaly Lipatov <lav@altlinux.ru> 0.3.0-alt1
- new version (0.3.0)

* Sun Oct 15 2006 Vitaly Lipatov <lav@altlinux.ru> 0.1.0_1-alt1
- initial build for Sisyphus
